Intermittent toolkit/components/places/tests/unit/test_telemetry.js | test_execute - [test_execute : 20] false == true

RESOLVED FIXED in Firefox -esr52

Status

()

Toolkit
Places
P3
normal
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: aryx, Assigned: mak)

Tracking

({intermittent-failure})

unspecified
mozilla55
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox51 unaffected, firefox52 wontfix, firefox-esr52 fixed, firefox53 wontfix, firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [fxsearch])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

https://treeherder.mozilla.org/logviewer.html#?job_id=7564296&repo=autoland

04:05:47     INFO -  "checking histogram PLACES_DATABASE_SIZE_PER_PAGE_B"
04:05:47     INFO -  TEST-PASS | toolkit/components/places/tests/unit/test_telemetry.js | test_execute - [test_execute : 17] true == true
04:05:47     INFO -  TEST-PASS | toolkit/components/places/tests/unit/test_telemetry.js | test_execute - [test_execute : 164] true == true
04:05:47     INFO -  "checking histogram PLACES_EXPIRATION_STEPS_TO_CLEAN2"
04:05:47     INFO -  TEST-PASS | toolkit/components/places/tests/unit/test_telemetry.js | test_execute - [test_execute : 18] true == true
04:05:47     INFO -  TEST-PASS | toolkit/components/places/tests/unit/test_telemetry.js | test_execute - [test_execute : 164] true == true
04:05:47     INFO -  "checking histogram PLACES_IDLE_FRECENCY_DECAY_TIME_MS"
04:05:47  WARNING -  TEST-UNEXPECTED-FAIL | toolkit/components/places/tests/unit/test_telemetry.js | test_execute - [test_execute : 20] false == true
04:05:47     INFO -      /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/places/tests/unit/test_telemetry.js:histograms.PLACES_IDLE_FRECENCY_DECAY_TIME_MS:20
04:05:47     INFO -      /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/places/tests/unit/test_telemetry.js:test_execute:163
04:05:47     INFO -      _run_next_test@/builds/slave/test/build/tests/xpcshell/head.js:1566:9
04:05:47     INFO -      do_execute_soon/<.run@/builds/slave/test/build/tests/xpcshell/head.js:713:9
04:05:47     INFO -      _do_main@/builds/slave/test/build/tests/xpcshell/head.js:210:5
04:05:47     INFO -      _execute_test@/builds/slave/test/build/tests/xpcshell/head.js:545:5
04:05:47     INFO -      @-e:1:1
04:05:47     INFO -  exiting test
04:05:47     INFO -  Unexpected exception 2147500036
04:05:47     INFO -  undefined
04:05:47     INFO -  exiting test
Component: Telemetry → Places

Comment 1

2 years ago
5 failures in 609 pushes (0.008 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2016-12-19&endday=2016-12-25&tree=all
status-firefox51: --- → unaffected
status-firefox52: --- → affected
status-firefox53: --- → affected

Comment 2

2 years ago
5 failures in 722 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-aurora: 2
* mozilla-inbound: 1
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-01-09&endday=2017-01-15&tree=all

Comment 3

2 years ago
6 failures in 690 pushes (0.009 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-01-16&endday=2017-01-22&tree=all

Comment 4

a year ago
5 failures in 783 pushes (0.006 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-aurora: 3
* autoland: 2

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-02-27&endday=2017-03-05&tree=all
(Assignee)

Updated

a year ago
Priority: -- → P3

Comment 5

a year ago
7 failures in 845 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 2
* autoland: 2
* mozilla-inbound: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* osx-10-10: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-03-27&endday=2017-04-02&tree=all

Comment 6

a year ago
7 failures in 867 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* mozilla-central: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* osx-10-10: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-04-03&endday=2017-04-09&tree=all
Comment hidden (obsolete)

Comment 8

a year ago
6 failures in 894 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-central: 2
* mozilla-release: 1

Platform breakdown:
* osx-10-10: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-04-10&endday=2017-04-16&tree=all
Comment hidden (mozreview-request)
Comment on attachment 8860340 [details]
Bug 1321533 - places/tests/unit/test_telemetry.js assumes the decay time must be positive.

https://reviewboard.mozilla.org/r/132376/#review135258
Attachment #8860340 - Flags: review?(standard8) → review+

Comment 11

a year ago
Pushed by mak77@bonardo.net:
https://hg.mozilla.org/integration/autoland/rev/cc853449321f
places/tests/unit/test_telemetry.js assumes the decay time must be positive. r=standard8
(Assignee)

Updated

a year ago
Status: NEW → ASSIGNED
Whiteboard: [fxsearch]

Comment 12

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/cc853449321f
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
6 failures in 817 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321533&startday=2017-04-17&endday=2017-04-23&tree=all
status-firefox52: affected → wontfix
status-firefox53: affected → wontfix
status-firefox54: --- → affected
status-firefox-esr52: --- → affected

Comment 14

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/8d9384a3168f
status-firefox54: affected → fixed
Flags: in-testsuite+

Comment 15

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr52/rev/a1bdee81f2d2
status-firefox-esr52: affected → fixed
You need to log in before you can comment on or make changes to this bug.